diff --git a/libRTI/hla-1_3/RTItypesImp.cc b/libRTI/hla-1_3/RTItypesImp.cc
index 257fa291..cefba6cc 100644
--- a/libRTI/hla-1_3/RTItypesImp.cc
+++ b/libRTI/hla-1_3/RTItypesImp.cc
@@ -55,7 +55,7 @@ RTI::ULong AttributeHandleValuePairSetImp::size() const
     return _set.size();
 }
 
-RTI::Handle AttributeHandleValuePairSetImp::getHandle(RTI::ULong i) const throw(RTI::ArrayIndexOutOfBounds)
+RTI::Handle AttributeHandleValuePairSetImp::getHandle(RTI::ULong i) const
 {
     if (i < size())
         return _set[i].first;
@@ -63,7 +63,7 @@ RTI::Handle AttributeHandleValuePairSetImp::getHandle(RTI::ULong i) const throw(
         throw RTI::ArrayIndexOutOfBounds("");
 }
 
-RTI::ULong AttributeHandleValuePairSetImp::getValueLength(RTI::ULong i) const throw(RTI::ArrayIndexOutOfBounds)
+RTI::ULong AttributeHandleValuePairSetImp::getValueLength(RTI::ULong i) const
 {
     if (i < size())
         return _set[i].second.size();
@@ -72,7 +72,6 @@ RTI::ULong AttributeHandleValuePairSetImp::getValueLength(RTI::ULong i) const th
 }
 
 void AttributeHandleValuePairSetImp::getValue(RTI::ULong i, char* buff, RTI::ULong& len) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (i < size()) {
         const AttributeHandleValuePair_t& item = _set[i];
@@ -84,7 +83,6 @@ void AttributeHandleValuePairSetImp::getValue(RTI::ULong i, char* buff, RTI::ULo
 }
 
 char* AttributeHandleValuePairSetImp::getValuePointer(RTI::ULong i, RTI::ULong& len) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (i < size()) {
         const AttributeHandleValuePair_t& item = _set[i];
@@ -96,32 +94,28 @@ char* AttributeHandleValuePairSetImp::getValuePointer(RTI::ULong i, RTI::ULong&
 }
 
 RTI::TransportType AttributeHandleValuePairSetImp::getTransportType(RTI::ULong) const
-    throw(RTI::InvalidHandleValuePairSetContext)
 {
     return _transport;
 }
 
 RTI::OrderType AttributeHandleValuePairSetImp::getOrderType(RTI::ULong) const
-    throw(RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext)
 {
     return _order;
 }
 
 RTI::Region* AttributeHandleValuePairSetImp::getRegion(RTI::ULong) const
-    throw(RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext)
 {
     throw RTI::RTIinternalError("unimplemented function getRegion()");
 }
 
-void AttributeHandleValuePairSetImp::add(RTI::Handle h, const char* str, RTI::ULong len) throw(RTI::ValueLengthExceeded,
-                                                                                               RTI::ValueCountExceeded)
+void AttributeHandleValuePairSetImp::add(RTI::Handle h, const char* str, RTI::ULong len)
 {
     std::vector<char> v;
     v.assign(str, str + len);
     _set.push_back(AttributeHandleValuePair_t(h, v));
 }
 
-void AttributeHandleValuePairSetImp::remove(RTI::Handle h) throw(RTI::ArrayIndexOutOfBounds)
+void AttributeHandleValuePairSetImp::remove(RTI::Handle h)
 {
     for (std::vector<AttributeHandleValuePair_t>::iterator pos = _set.begin(); pos != _set.end(); ++pos) {
         if (pos->first == h) {
@@ -134,7 +128,7 @@ void AttributeHandleValuePairSetImp::remove(RTI::Handle h) throw(RTI::ArrayIndex
 }
 
 void AttributeHandleValuePairSetImp::moveFrom(const AttributeHandleValuePairSet&,
-                                              RTI::ULong&) throw(RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds)
+                                              RTI::ULong&)
 {
     throw RTI::RTIinternalError("unimplemented function moveFrom()");
 }
@@ -192,7 +186,7 @@ RTI::ULong AttributeHandleSetImp::size() const
     return _set.size();
 }
 
-RTI::AttributeHandle AttributeHandleSetImp::getHandle(RTI::ULong i) const throw(RTI::ArrayIndexOutOfBounds)
+RTI::AttributeHandle AttributeHandleSetImp::getHandle(RTI::ULong i) const
 {
     if (i < size())
         return _set[i];
@@ -200,12 +194,12 @@ RTI::AttributeHandle AttributeHandleSetImp::getHandle(RTI::ULong i) const throw(
         throw RTI::ArrayIndexOutOfBounds("");
 }
 
-void AttributeHandleSetImp::add(RTI::AttributeHandle h) throw(RTI::ArrayIndexOutOfBounds, RTI::AttributeNotDefined)
+void AttributeHandleSetImp::add(RTI::AttributeHandle h)
 {
     _set.push_back(h);
 }
 
-void AttributeHandleSetImp::remove(RTI::AttributeHandle h) throw(RTI::AttributeNotDefined)
+void AttributeHandleSetImp::remove(RTI::AttributeHandle h)
 {
     std::vector<RTI::AttributeHandle>::iterator pos = std::find(_set.begin(), _set.end(), h);
     if (pos != _set.end())
@@ -249,7 +243,7 @@ RTI::ULong FederateHandleSetImp::size() const
     return _set.size();
 }
 
-RTI::FederateHandle FederateHandleSetImp::getHandle(RTI::ULong i) const throw(RTI::ArrayIndexOutOfBounds)
+RTI::FederateHandle FederateHandleSetImp::getHandle(RTI::ULong i) const
 {
     if (i < size())
         return _set[i];
@@ -257,12 +251,12 @@ RTI::FederateHandle FederateHandleSetImp::getHandle(RTI::ULong i) const throw(RT
         throw RTI::ArrayIndexOutOfBounds("");
 }
 
-void FederateHandleSetImp::add(RTI::FederateHandle h) throw(RTI::ValueCountExceeded)
+void FederateHandleSetImp::add(RTI::FederateHandle h)
 {
     _set.push_back(h);
 }
 
-void FederateHandleSetImp::remove(RTI::FederateHandle h) throw(RTI::ArrayIndexOutOfBounds)
+void FederateHandleSetImp::remove(RTI::FederateHandle h)
 {
     std::vector<RTI::FederateHandle>::iterator pos = std::find(_set.begin(), _set.end(), h);
     if (pos != _set.end())
@@ -306,7 +300,7 @@ RTI::ULong ParameterHandleValuePairSetImp::size() const
     return _set.size();
 }
 
-RTI::Handle ParameterHandleValuePairSetImp::getHandle(RTI::ULong i) const throw(RTI::ArrayIndexOutOfBounds)
+RTI::Handle ParameterHandleValuePairSetImp::getHandle(RTI::ULong i) const
 {
     if (i < size())
         return _set[i].first;
@@ -314,7 +308,7 @@ RTI::Handle ParameterHandleValuePairSetImp::getHandle(RTI::ULong i) const throw(
         throw RTI::ArrayIndexOutOfBounds("");
 }
 
-RTI::ULong ParameterHandleValuePairSetImp::getValueLength(RTI::ULong i) const throw(RTI::ArrayIndexOutOfBounds)
+RTI::ULong ParameterHandleValuePairSetImp::getValueLength(RTI::ULong i) const
 {
     if (i < size())
         return _set[i].second.size();
@@ -323,7 +317,6 @@ RTI::ULong ParameterHandleValuePairSetImp::getValueLength(RTI::ULong i) const th
 }
 
 void ParameterHandleValuePairSetImp::getValue(RTI::ULong i, char* buff, RTI::ULong& len) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (i < size()) {
         const ParameterHandleValuePair_t& item = _set[i];
@@ -335,7 +328,6 @@ void ParameterHandleValuePairSetImp::getValue(RTI::ULong i, char* buff, RTI::ULo
 }
 
 char* ParameterHandleValuePairSetImp::getValuePointer(RTI::ULong i, RTI::ULong& len) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (i < size()) {
         const ParameterHandleValuePair_t& item = _set[i];
@@ -346,30 +338,29 @@ char* ParameterHandleValuePairSetImp::getValuePointer(RTI::ULong i, RTI::ULong&
         throw RTI::ArrayIndexOutOfBounds("");
 }
 
-RTI::TransportType ParameterHandleValuePairSetImp::getTransportType() const throw(RTI::InvalidHandleValuePairSetContext)
+RTI::TransportType ParameterHandleValuePairSetImp::getTransportType() const
 {
     return _transport;
 }
 
-RTI::OrderType ParameterHandleValuePairSetImp::getOrderType() const throw(RTI::InvalidHandleValuePairSetContext)
+RTI::OrderType ParameterHandleValuePairSetImp::getOrderType() const
 {
     return _order;
 }
 
-RTI::Region* ParameterHandleValuePairSetImp::getRegion() const throw(RTI::InvalidHandleValuePairSetContext)
+RTI::Region* ParameterHandleValuePairSetImp::getRegion() const
 {
     throw RTI::RTIinternalError("unimplemented function getRegion()");
 }
 
-void ParameterHandleValuePairSetImp::add(RTI::Handle h, const char* str, RTI::ULong len) throw(RTI::ValueLengthExceeded,
-                                                                                               RTI::ValueCountExceeded)
+void ParameterHandleValuePairSetImp::add(RTI::Handle h, const char* str, RTI::ULong len)
 {
     std::vector<char> v;
     v.assign(str, str + len);
     _set.push_back(ParameterHandleValuePair_t(h, v));
 }
 
-void ParameterHandleValuePairSetImp::remove(RTI::Handle h) throw(RTI::ArrayIndexOutOfBounds)
+void ParameterHandleValuePairSetImp::remove(RTI::Handle h)
 {
     for (std::vector<ParameterHandleValuePair_t>::iterator pos = _set.begin(); pos != _set.end(); ++pos) {
         if (pos->first == h) {
@@ -382,7 +373,7 @@ void ParameterHandleValuePairSetImp::remove(RTI::Handle h) throw(RTI::ArrayIndex
 }
 
 void ParameterHandleValuePairSetImp::moveFrom(const ParameterHandleValuePairSet&,
-                                              RTI::ULong&) throw(RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds)
+                                              RTI::ULong&)
 {
     throw RTI::RTIinternalError("unimplemented function moveFrom()");
 }
@@ -416,29 +407,25 @@ const std::vector<ParameterHandleValuePair_t>& ParameterHandleValuePairSetImp::g
 }
 
 // ----------------------------------------------------------------------------
-RTI::AttributeHandleValuePairSet* RTI::AttributeSetFactory::create(RTI::ULong size) throw(
-    MemoryExhausted, ValueCountExceeded, HandleValuePairMaximumExceeded)
+RTI::AttributeHandleValuePairSet* RTI::AttributeSetFactory::create(RTI::ULong size)
 {
     return new AttributeHandleValuePairSetImp(size);
 }
 
 // ----------------------------------------------------------------------------
-RTI::AttributeHandleSet* RTI::AttributeHandleSetFactory::create(RTI::ULong size) throw(MemoryExhausted,
-                                                                                       ValueCountExceeded)
+RTI::AttributeHandleSet* RTI::AttributeHandleSetFactory::create(RTI::ULong size)
 {
     return new AttributeHandleSetImp(size);
 }
 
 // ----------------------------------------------------------------------------
-RTI::FederateHandleSet* RTI::FederateHandleSetFactory::create(RTI::ULong size) throw(MemoryExhausted,
-                                                                                     ValueCountExceeded)
+RTI::FederateHandleSet* RTI::FederateHandleSetFactory::create(RTI::ULong size)
 {
     return new FederateHandleSetImp(size);
 }
 
 // ----------------------------------------------------------------------------
-RTI::ParameterHandleValuePairSet* RTI::ParameterSetFactory::create(RTI::ULong size) throw(
-    MemoryExhausted, ValueCountExceeded, HandleValuePairMaximumExceeded)
+RTI::ParameterHandleValuePairSet* RTI::ParameterSetFactory::create(RTI::ULong size)
 {
     return new ParameterHandleValuePairSetImp(size);
 }
@@ -454,7 +441,6 @@ RegionImp::~RegionImp()
 }
 
 RTI::ULong RegionImp::getRangeLowerBound(RTI::ExtentIndex index, RTI::DimensionHandle dimension) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (index < extents.size())
         return extents[index].getRangeLowerBound(dimension);
@@ -463,7 +449,6 @@ RTI::ULong RegionImp::getRangeLowerBound(RTI::ExtentIndex index, RTI::DimensionH
 }
 
 RTI::ULong RegionImp::getRangeUpperBound(RTI::ExtentIndex index, RTI::DimensionHandle dimension) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (index < extents.size())
         return extents[index].getRangeUpperBound(dimension);
@@ -473,7 +458,7 @@ RTI::ULong RegionImp::getRangeUpperBound(RTI::ExtentIndex index, RTI::DimensionH
 
 void RegionImp::setRangeLowerBound(RTI::ExtentIndex index,
                                    RTI::DimensionHandle dimension,
-                                   RTI::ULong val) throw(RTI::ArrayIndexOutOfBounds)
+                                   RTI::ULong val)
 {
     if (index < extents.size())
         extents[index].setRangeLowerBound(dimension, val);
@@ -483,7 +468,7 @@ void RegionImp::setRangeLowerBound(RTI::ExtentIndex index,
 
 void RegionImp::setRangeUpperBound(RTI::ExtentIndex index,
                                    RTI::DimensionHandle dimension,
-                                   RTI::ULong val) throw(RTI::ArrayIndexOutOfBounds)
+                                   RTI::ULong val)
 {
     if (index < extents.size())
         extents[index].setRangeUpperBound(dimension, val);
@@ -491,18 +476,17 @@ void RegionImp::setRangeUpperBound(RTI::ExtentIndex index,
         throw RTI::ArrayIndexOutOfBounds("Extent index above limit");
 }
 
-RTI::SpaceHandle RegionImp::getSpaceHandle() const throw()
+RTI::SpaceHandle RegionImp::getSpaceHandle() const noexcept
 {
     return space;
 }
 
-RTI::ULong RegionImp::getNumberOfExtents() const throw()
+RTI::ULong RegionImp::getNumberOfExtents() const noexcept
 {
     return extents.size();
 }
 
 RTI::ULong RegionImp::getRangeLowerBoundNotificationLimit(RTI::ExtentIndex index, RTI::DimensionHandle dimension) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (index < effectiveExtents.size())
         return effectiveExtents[index].getRangeLowerBound(dimension);
@@ -511,7 +495,6 @@ RTI::ULong RegionImp::getRangeLowerBoundNotificationLimit(RTI::ExtentIndex index
 }
 
 RTI::ULong RegionImp::getRangeUpperBoundNotificationLimit(RTI::ExtentIndex index, RTI::DimensionHandle dimension) const
-    throw(RTI::ArrayIndexOutOfBounds)
 {
     if (index < effectiveExtents.size())
         return effectiveExtents[index].getRangeUpperBound(dimension);
diff --git a/libRTI/hla-1_3/RTItypesImp.hh b/libRTI/hla-1_3/RTItypesImp.hh
index 6f0250d9..b489fc69 100644
--- a/libRTI/hla-1_3/RTItypesImp.hh
+++ b/libRTI/hla-1_3/RTItypesImp.hh
@@ -71,35 +71,25 @@ public:
 
     virtual RTI::ULong size() const;
 
-    virtual RTI::Handle getHandle(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::Handle getHandle(RTI::ULong) const;
 
-    virtual RTI::ULong getValueLength(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::ULong getValueLength(RTI::ULong) const;
 
-    virtual void getValue(RTI::ULong, char *, RTI::ULong &) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual void getValue(RTI::ULong, char *, RTI::ULong &) const;
 
-    virtual char *getValuePointer(RTI::ULong, RTI::ULong &) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual char *getValuePointer(RTI::ULong, RTI::ULong &) const;
 
-    virtual RTI::TransportType getTransportType(RTI::ULong) const
-        throw (RTI::InvalidHandleValuePairSetContext);
+    virtual RTI::TransportType getTransportType(RTI::ULong) const;
 
-    virtual RTI::OrderType getOrderType(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext);
+    virtual RTI::OrderType getOrderType(RTI::ULong) const;
 
-    virtual RTI::Region *getRegion(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds, RTI::InvalidHandleValuePairSetContext);
+    virtual RTI::Region *getRegion(RTI::ULong) const;
 
-    virtual void add(RTI::Handle, const char *,RTI:: ULong)
-        throw (RTI::ValueLengthExceeded, RTI::ValueCountExceeded);
+    virtual void add(RTI::Handle, const char *,RTI:: ULong);
 
-    virtual void remove(RTI::Handle h)
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual void remove(RTI::Handle h);
 
-    virtual void moveFrom(const AttributeHandleValuePairSet &, RTI::ULong &)
-        throw (RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds);
+    virtual void moveFrom(const AttributeHandleValuePairSet &, RTI::ULong &);
 
     virtual void empty();
 
@@ -126,14 +116,11 @@ public:
 
     virtual RTI::ULong size() const;
 
-    virtual RTI::AttributeHandle getHandle(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::AttributeHandle getHandle(RTI::ULong) const;
 
-    virtual void add(RTI::AttributeHandle)
-        throw (RTI::ArrayIndexOutOfBounds, RTI::AttributeNotDefined);
+    virtual void add(RTI::AttributeHandle);
 
-    virtual void remove(RTI::AttributeHandle)
-        throw (RTI::AttributeNotDefined);
+    virtual void remove(RTI::AttributeHandle);
 
     virtual void empty();
 
@@ -154,14 +141,11 @@ public:
 
     virtual RTI::ULong size() const;
 
-    virtual RTI::FederateHandle getHandle(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::FederateHandle getHandle(RTI::ULong) const;
 
-    virtual void add(RTI::FederateHandle)
-        throw (RTI::ValueCountExceeded);
+    virtual void add(RTI::FederateHandle);
 
-    virtual void remove(RTI::FederateHandle)
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual void remove(RTI::FederateHandle);
 
     virtual void empty();
 
@@ -182,35 +166,25 @@ public:
 
     virtual RTI::ULong size() const;
 
-    virtual RTI::Handle getHandle(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::Handle getHandle(RTI::ULong) const;
 
-    virtual RTI::ULong getValueLength(RTI::ULong) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::ULong getValueLength(RTI::ULong) const;
 
-    virtual void getValue(RTI::ULong, char *, RTI::ULong &) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual void getValue(RTI::ULong, char *, RTI::ULong &) const;
 
-    virtual char *getValuePointer(RTI::ULong, RTI::ULong &) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual char *getValuePointer(RTI::ULong, RTI::ULong &) const;
 
-    virtual RTI::TransportType getTransportType() const
-        throw (RTI::InvalidHandleValuePairSetContext);
+    virtual RTI::TransportType getTransportType() const;
 
-    virtual RTI::OrderType getOrderType() const
-        throw (RTI::InvalidHandleValuePairSetContext);
+    virtual RTI::OrderType getOrderType() const;
 
-    virtual RTI::Region *getRegion() const
-        throw (RTI::InvalidHandleValuePairSetContext);
+    virtual RTI::Region *getRegion() const;
 
-    virtual void add(RTI::Handle, const char *, RTI::ULong)
-        throw (RTI::ValueLengthExceeded, RTI::ValueCountExceeded);
+    virtual void add(RTI::Handle, const char *, RTI::ULong);
 
-    virtual void remove(RTI::Handle)
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual void remove(RTI::Handle);
 
-    virtual void moveFrom(const ParameterHandleValuePairSet &, RTI::ULong &)
-        throw (RTI::ValueCountExceeded, RTI::ArrayIndexOutOfBounds);
+    virtual void moveFrom(const ParameterHandleValuePairSet &, RTI::ULong &);
 
     virtual void empty();
 
@@ -233,29 +207,23 @@ public:
     RegionImp(RegionHandle, RTI::SpaceHandle, const std::vector<Extent>&);
     virtual ~RegionImp();
 
-    virtual RTI::ULong getRangeLowerBound(RTI::ExtentIndex, RTI::DimensionHandle) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::ULong getRangeLowerBound(RTI::ExtentIndex, RTI::DimensionHandle) const;
 
-    virtual RTI::ULong getRangeUpperBound(RTI::ExtentIndex, RTI::DimensionHandle) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::ULong getRangeUpperBound(RTI::ExtentIndex, RTI::DimensionHandle) const;
 
-    virtual void setRangeLowerBound(RTI::ExtentIndex, RTI::DimensionHandle, RTI::ULong)
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual void setRangeLowerBound(RTI::ExtentIndex, RTI::DimensionHandle, RTI::ULong);
 
-    virtual void setRangeUpperBound(RTI::ExtentIndex, RTI::DimensionHandle, RTI::ULong)
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual void setRangeUpperBound(RTI::ExtentIndex, RTI::DimensionHandle, RTI::ULong);
 
     virtual RTI::SpaceHandle getSpaceHandle() const
-        throw ();
+        noexcept;
 
     virtual RTI::ULong getNumberOfExtents() const
-        throw ();
+        noexcept;
 
-    virtual RTI::ULong getRangeLowerBoundNotificationLimit(RTI::ExtentIndex, RTI::DimensionHandle) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::ULong getRangeLowerBoundNotificationLimit(RTI::ExtentIndex, RTI::DimensionHandle) const;
 
-    virtual RTI::ULong getRangeUpperBoundNotificationLimit(RTI::ExtentIndex, RTI::DimensionHandle) const
-        throw (RTI::ArrayIndexOutOfBounds);
+    virtual RTI::ULong getRangeUpperBoundNotificationLimit(RTI::ExtentIndex, RTI::DimensionHandle) const;
 
     RegionHandle getHandle() const;
 
diff --git a/libRTI/ieee1516-2000/Handle.cpp b/libRTI/ieee1516-2000/Handle.cpp
index 337f9e0a..28666c87 100644
--- a/libRTI/ieee1516-2000/Handle.cpp
+++ b/libRTI/ieee1516-2000/Handle.cpp
@@ -110,7 +110,7 @@ namespace rti1516 {
     {                                                                                                                  \
         return _impl->encodedLength();                                                                                 \
     }                                                                                                                  \
-    unsigned long HandleKind::encode(void* buffer, unsigned long bufferSize) const throw(CouldNotEncode)               \
+    unsigned long HandleKind::encode(void* buffer, unsigned long bufferSize) const                                     \
     {                                                                                                                  \
         return _impl->encode(buffer, bufferSize);                                                                      \
     }                                                                                                                  \
diff --git a/libRTI/ieee1516-2000/HandleImplementation.cpp b/libRTI/ieee1516-2000/HandleImplementation.cpp
index d0e6e08c..71956640 100644
--- a/libRTI/ieee1516-2000/HandleImplementation.cpp
+++ b/libRTI/ieee1516-2000/HandleImplementation.cpp
@@ -89,7 +89,7 @@ unsigned long HandleImplementation::encodedLength() const
 {
     return sizeof(_value);
 }
-unsigned long HandleImplementation::encode(void* buffer, unsigned long bufferSize) const throw(CouldNotEncode)
+unsigned long HandleImplementation::encode(void* buffer, unsigned long bufferSize) const
 {
     if (bufferSize < sizeof(_value))
         throw CouldNotEncode(L"Not enough room in buffer to encode handle");
@@ -259,7 +259,6 @@ unsigned long MessageRetractionHandleImplementation::encodedLength() const
 }
 
 unsigned long MessageRetractionHandleImplementation::encode(void* buffer, unsigned long bufferSize) const
-    throw(CouldNotEncode)
 {
     if (bufferSize < (sizeof(_value) + sizeof(_serialNum)))
         throw CouldNotEncode(L"Not enough room in buffer to encode handle");
diff --git a/libRTI/ieee1516-2000/HandleImplementation.h b/libRTI/ieee1516-2000/HandleImplementation.h
index 66144234..0943e1ad 100644
--- a/libRTI/ieee1516-2000/HandleImplementation.h
+++ b/libRTI/ieee1516-2000/HandleImplementation.h
@@ -54,7 +54,7 @@ public:
 
     explicit HandleImplementation(VariableLengthData const& encodedValue);
 
-    virtual ~HandleImplementation() throw();
+    virtual ~HandleImplementation() noexcept;
 
     /* Indicates whether this handle is valid                 */
     virtual bool isValid() const;
@@ -65,7 +65,7 @@ public:
 
     /* Alternate encode for directly filling a buffer         */
     virtual unsigned long encodedLength() const;
-    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const throw(CouldNotEncode);
+    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const;
 
     virtual std::wstring toString() const;
 
@@ -143,7 +143,7 @@ public:
 
     /* Alternate encode for directly filling a buffer         */
     virtual unsigned long encodedLength() const;
-    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const throw(CouldNotEncode);
+    virtual unsigned long encode(void* buffer, unsigned long bufferSize) const;
 
     ULong getSerialNum() const
     {
